| Plan Endpoint | POST /v1/projects/-/plans |
| Sheet Endpoint | POST /v1/projects/-/sheets |
Plan contains one or multiple change statements and dictate how they are grouped and ordered. The plan layouts how to execute the change statements.
- Sheet. Plan references change statements via the
Sheetobject. EachSheetcontains one or more change statements. - Step. Plan orchestrates the order via
Step. EachStepspecifies one or more changes units. A change unit specifies the SQL statements viaSheetand the target database.
- Tasks from the late stage must wait until all the tasks from the previous stage reach to the end state.
-
For tasks belong to the same stage:
- Tasks changing the same database run sequentially. A failed task will not block the following task.
- Tasks changing different databases run concurrently.
dependsOnSpecs with the previous task.
